#!/usr/bin/env python

from TokenSupport import getIdentifiers

tests = [
    (1, False, """'contains space'""",                 ["contains space"]),
    (2, False, """contains space""",                   ["contains", "space"]),
    (1, False, '''"Python's syntax"''',                ["Python's syntax"]),
    (2, False, """Python''s syntax""",                 ["Pythons", "syntax"]),
    (2, True,  """Python''s syntax""",                 ["Python's", "syntax"]),
    (1, False, '''"Python's "'"intuitive" syntax' ''', ['''Python's "intuitive" syntax''']),
    (1, False, '''"Python's "intuitive" syntax" ''',   ['''Python's intuitive syntax''']),
    ]

for n, doubling, s, e in tests:
    l = getIdentifiers(s, doubling)
    print l == e, l, "==", e, len(l) == n, len(l), "==", n, "<-", doubling, s

# vim: tabstop=4 expandtab shiftwidth=4
